md=triangle(model(),'../Exp/Square.exp',150000.);
md=setmask(md,'all','');
md=parameterize(md,'../Par/SquareShelf.par');
md.damage.D=0.5*ones(md.mesh.numberofvertices,1);
md.damage.spcdamage=NaN*ones(md.mesh.numberofvertices,1);

%boundary conditions for damage, to be put in SquareShelf.par
boundary=zeros(md.mesh.numberofvertices,1);
boundary(md.mesh.segments(:,1:2))=1;
pos=find(~md.mask.ice_levelset==0 & boundary==1);
md.damage.spcdamage(pos)=0;

md.verbose=verbose('11111111');

md=setflowequation(md,'SSA','all');
md.cluster=generic('name',oshostname(),'np',3);
md=solve(md,DamageEvolutionSolutionEnum());

return;

%Fields and tolerances to track changes
field_names     ={'Vx','Vy','Vel','Pressure'};
field_tolerances={1e-13,1e-13,1e-13,1e-13};
field_values={...
	(md.results.StressbalanceSolution.Vx),...
	(md.results.StressbalanceSolution.Vy),...
	(md.results.StressbalanceSolution.Vel),...
	(md.results.StressbalanceSolution.Pressure),...
	};
